package com.bwie.common.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * 商品的sku
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@TableName("good_sku")
public class GoodSku {

    @TableId(value = "id",type = IdType.AUTO)
    private Long id;//正常的ID
    @TableField("spu_id")
    private Long spuId;//spuId
    @TableField("name")
    private String name;//名称
    @TableField("category_id")
    private Long  categoryId;//类型ID
    @TableField("default_image")
    private String defaultImage;//图片
    @TableField("title")
    private String title;//标题
    @TableField("subtitle")
    private String subTitle;//副标题
    @TableField("price")
    private BigDecimal price;
    @TableField("weight")
    private Integer weight;

}
