package com.bwie.common.remote.system.factory;

import com.bwie.common.domain.User;
import com.bwie.common.domain.request.LoginRequest;
import com.bwie.common.remote.system.RemoteUserService;
import com.bwie.common.result.Result;
import lombok.extern.log4j.Log4j2;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;

@Component
@Log4j2
public class RemoteUserFactory implements FallbackFactory<RemoteUserService> {
    @Override
    public RemoteUserService create(Throwable cause) {

        return new RemoteUserService() {

            @Override
            public Result<User> login(@RequestBody LoginRequest loginRequest){
                log.error("用户登录失败：[{}]",cause.getMessage(),cause);
                return Result.error(cause.getMessage());
            }
            @Override
            public Result register(@RequestBody User user){
                log.error("用户登录失败：[{}]",cause.getMessage(),cause);
                return Result.error(cause.getMessage());
            }
            @Override
            public Result<User> findByPhone(@PathVariable("userPhone") String userPhone){
                log.error("手机号登录失败：[{}]",cause.getMessage(),cause);
                return Result.error(cause.getMessage());
            }
            @Override
            public Result<User> phoneLogin(@PathVariable String  userPhone){
                log.error("手机号登录失败：[{}]",cause.getMessage(),cause);
                return Result.error(cause.getMessage());
            }




        };



    }
}
