package com.bwie.user.controller;


import com.alibaba.nacos.shaded.org.checkerframework.checker.units.qual.A;
import com.bwie.common.domain.User;
import com.bwie.common.domain.request.LoginRequest;
import com.bwie.common.result.Result;
import com.bwie.user.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.validation.constraints.Past;

@RestController
public class UserController {


    @Autowired
    private  UserService userService;


    public UserController(UserService userService) {
        this.userService = userService;
    }


    @PostMapping("/login")
    public Result<User> login(@RequestBody LoginRequest loginRequest){

        return Result.success(
                userService.login(loginRequest)

        );
    }

    @PostMapping("/register")
    public Result register(@RequestBody User user){
        userService.register(user);
        return Result.success();
    }

    @GetMapping("/findByPhone/{userPhone}")
    public Result<User> findByPhone(@PathVariable("userPhone") String userPhone){
        return userService.findByPhone(userPhone);
    }

    @PostMapping("/phoneLogin/{userPhone}")
    public Result<User> phoneLogin(@PathVariable String  userPhone){
        User user = userService.phoneLogin(userPhone);

        return Result.success(user);
    }
}
